Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::TermVectorEntry Class Reference

Convenience class for holding TermVector information. More...

`#include <TermVectorEntry.h>`

Inheritance diagram for Lucene::TermVectorEntry:

## Public Member Functions

| TermVectorEntry (const String &field=EmptyString, const String &term=EmptyString, int32_t frequency=0, Collection< TermVectorOffsetInfoPtr > offsets=Collection< TermVectorOffsetInfoPtr >(), Collection< int32_t > positions=Collection< int32_t >())
virtual | ~TermVectorEntry ()
virtual String | getClassName ()
boost::shared_ptr< TermVectorEntry > | shared_from_this ()
String | getField ()
int32_t | getFrequency ()
Collection< TermVectorOffsetInfoPtr > | getOffsets ()
Collection< int32_t > | getPositions ()
String | getTerm ()
void | setFrequency (int32_t frequency)
void | setOffsets (Collection< TermVectorOffsetInfoPtr > offsets)
void | setPositions (Collection< int32_t > positions)
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Attributes

String | field
String | term
int32_t | frequency
Collection< TermVectorOffsetInfoPtr > | offsets
Collection< int32_t > | positions
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Convenience class for holding TermVector information.

## Constructor & Destructor Documentation

Lucene::TermVectorEntry::TermVectorEntry | ( | const String & | field = `EmptyString`,
|  | const String & | term = `EmptyString`,
|  | int32_t | frequency = `0`,
|  | Collection< TermVectorOffsetInfoPtr > | offsets = `Collection< TermVectorOffsetInfoPtr >()`,
|  | Collection< int32_t > | positions = `Collection< int32_t >()`
| ) |  |

virtual Lucene::TermVectorEntry::~TermVectorEntry | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::TermVectorEntry::_getClassName | ( |  | ) |

inline static

virtual bool Lucene::TermVectorEntry::equals | ( | const LuceneObjectPtr & | other | ) |

virtual

Return whether two objects are equal.

Reimplemented from Lucene::LuceneObject.

virtual String Lucene::TermVectorEntry::getClassName | ( |  | ) |

inline virtual

String Lucene::TermVectorEntry::getField | ( |  | ) |

int32_t Lucene::TermVectorEntry::getFrequency | ( |  | ) |

Collection<TermVectorOffsetInfoPtr> Lucene::TermVectorEntry::getOffsets | ( |  | ) |

Collection<int32_t> Lucene::TermVectorEntry::getPositions | ( |  | ) |

String Lucene::TermVectorEntry::getTerm | ( |  | ) |

virtual int32_t Lucene::TermVectorEntry::hashCode | ( |  | ) |

virtual

Return hash code for this object.

Reimplemented from Lucene::LuceneObject.

void Lucene::TermVectorEntry::setFrequency | ( | int32_t | frequency | ) |

void Lucene::TermVectorEntry::setOffsets | ( | Collection< TermVectorOffsetInfoPtr > | offsets | ) |

void Lucene::TermVectorEntry::setPositions | ( | Collection< int32_t > | positions | ) |

boost::shared_ptr< TermVectorEntry > Lucene::TermVectorEntry::shared_from_this | ( |  | ) |

inline

virtual String Lucene::TermVectorEntry::toString | ( |  | ) |

virtual

Returns a string representation of the object.

Reimplemented from Lucene::LuceneObject.

## Field Documentation

String Lucene::TermVectorEntry::field

protected

int32_t Lucene::TermVectorEntry::frequency

protected

Collection<TermVectorOffsetInfoPtr> Lucene::TermVectorEntry::offsets

protected

Collection<int32_t> Lucene::TermVectorEntry::positions

protected

String Lucene::TermVectorEntry::term

protected

The documentation for this class was generated from the following file:

- TermVectorEntry.h

clucene.sourceforge.net